diff --git a/src/include/storage/lock.h b/src/include/storage/lock.h
index 048947c50d..4430523de4 100644
--- a/src/include/storage/lock.h
+++ b/src/include/storage/lock.h
@@ -149,8 +149,8 @@ typedef enum LockTagType
 	/* ID info for a transaction is its TransactionId */
 	LOCKTAG_VIRTUALTRANSACTION, /* virtual transaction (ditto) */
 	/* ID info for a virtual transaction is its VirtualTransactionId */
-	LOCKTAG_SPECULATIVE_TOKEN,	/* speculative insertion Xid and token */
-	/* ID info for a transaction is its TransactionId */
+	LOCKTAG_SPECULATIVE_TOKEN,	/* for speculative insertion */
+	/* ID info for a speculative token is TRANSACTION info + token */
 	LOCKTAG_OBJECT,				/* non-relation database object */
 	/* ID info for an object is DB OID + CLASS OID + OBJECT OID + SUBID */
 
